
#include "pch.h"
#include "RegDumpViewFDD.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#define new DEBUG_NEW
#endif

/////////////////////////////////////////////////////////////////////////////
// CRegDumpViewFDD
IMPLEMENT_DYNAMIC(CRegDumpViewFDD, CDocPaneDlgViewBase)

CRegDumpViewFDD::CRegDumpViewFDD(UINT nErrID)
	: CDocPaneDlgViewBase(nErrID)
{
	m_pDlg = &m_Dlg;
}


CRegDumpViewFDD::~CRegDumpViewFDD()
    = default;

BEGIN_MESSAGE_MAP(CRegDumpViewFDD, CDocPaneDlgViewBase)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// обработчики сообщений CRegDumpViewFDD

void CRegDumpViewFDD::DisplayRegDump()
{
	if (IsVisible())
	{
		// выводим на экран данные FDD
		m_Dlg.DisplayFDDData();
		m_Dlg.DisplayHDDData();
	}
}

